from games.objects.AGame import AGame

from ..APlayer import APlayer

from channels.generic.websocket import WebsocketConsumer

class TicTacToePlayer(APlayer):
    def __init__(self, user_id: int, socket: WebsocketConsumer, game: AGame, sign):
        super().__init__(user_id, socket, game)
        self.sign = sign
        self.currentMorpion = 4
        self.timestamp = None